# $Revision: 1.17 $, $Date: 2011/02/10 18:30:16 $
Summary:	Java Application Command Language
Summary(pl.UTF-8):	Java Application Command Language - język poleceń dla aplikacji
Name:		jacl
Version:	1.4.1
Release:	1
License:	BSD
Group:		Development/Languages/Java
Source0:	http://downloads.sourceforge.net/tcljava/%{name}%{version}.tar.gz
# Source0-md5:	a7ec8300e8933164e854460c73ac6269
URL:		http://tcljava.sourceforge.net/
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	sed >= 4.0
BuildRequires:	jdk >= 1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jacl (which stands for Java Application Command Language) is a
platform independent scripting language for Java. The feature set and
functionality of Jacl are structured to mirror the scripting language
Tcl version 8.0. In addition to the write-once-run-anywhere
philosophy, Jacl provides it's user with two other key concepts.
First, Jacl enables users to write Tcl extensions entirely in Java.
Extension writers can use the classes supplied in tcl.lang.*, as well
as any other classes, to write portable extensions. Second, Jacl
includes the Java Package, which provides a direct Tcl interface to
Java Objects. For example, the Java Package contains a Tcl command,
java::info, that provides a Jacl user with information about the
public methods, fields, etc. of a given Java class or object. The Java
Package enables the user to script Java.

%description -l pl.UTF-8
Jacl (czyli Java Application Command Language) to niezależny od
platformy język skryptowy dla Javy. Zbiór możliwości i funkcjonalność
Jacla mają odzwierciedlać język skryptowy Tcl w wersji 8.0. Oprócz
filozofii "napisać raz, uruchamiać wszędzie" Jacl udostępnia
użytkownikowi dwie inne kluczowe idee. Po pierwsze, Jacl pozwala na
pisanie rozszerzeń Tcl całkowicie w Javie. Piszący rozszerzenia mogą
używać klas dostarczonych w tcl.lang.*, a także dowolnych innych klas
do pisania przenośnych rozszerzeń. Po drugie, Jacl zawiera pakiet Java
udostępniający bezpośredni interfejs Tcl-a do obiektów Javy. Na
przykład pakiet Java zawiera polecenie Tcl java::info udostępniające
użytkownikowi Jacla informacje o publicznych metodach, polach itp.
danej klasy czy obiektu Javy. Pakiet Java pozwala używać Javy w sposób
skryptowy.

%prep
%setup -q -n %{name}%{version}

%build
unset CLASSPATH || :
export JAVA_HOME="%{java_home}"
%configure \
	--with-jdk="%{java_home}"
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	BIN_INSTALL_DIR=$RPM_BUILD_ROOT%{_bindir} \
	XP_LIB_INSTALL_DIR=$RPM_BUILD_ROOT%{_javadir} \
	XP_TCLJAVA_INSTALL_DIR=$RPM_BUILD_ROOT%{_javadir}

sed -i -e 's,^XP_LIB_INSTALL_DIR=.*,XP_LIB_INSTALL_DIR="%{_javadir}",' \
	$RPM_BUILD_ROOT%{_bindir}/jaclsh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README changes.txt diffs.txt known_issues.txt license.*
%attr(755,root,root) %{_bindir}/jaclsh
%attr(755,root,root) %{_bindir}/jdk.cfg
%attr(755,root,root) %{_bindir}/tjc
%{_javadir}/itcl.jar
%{_javadir}/itclsrc.jar
%{_javadir}/jacl.jar
%{_javadir}/jaclsrc.jar
%{_javadir}/janino.jar
%{_javadir}/janinosrc.jar
%{_javadir}/tcljava.jar
%{_javadir}/tcljavasrc.jar
%{_javadir}/tjc.jar
%{_javadir}/tjcsrc.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jacl.spec,v $
Revision 1.17  2011/02/10 18:30:16  qboosh
- updated to 1.4.1

Revision 1.16  2010/04/23 00:14:34  pawelz
- Dropped EA, we have icedtea6 jdk on all archs

Revision 1.15  2007/03/01 08:34:51  arekm
- parallel build broken

Revision 1.14  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.12  2006/08/24 18:57:10  qboosh
- tcljava.jar conflict resolved at tclBlend side

Revision 1.11  2006/08/24 17:49:44  qboosh
- updated to 1.4.0; jikes support dropped upstream

Revision 1.10  2006/05/24 09:26:07  jajcus
- BR: jpackage-utils
- BR: jre (jikes requires JRE)

Revision 1.9  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.8  2006/05/23 05:53:02  qboosh
- tabs

Revision 1.7  2006/05/21 16:21:05  qboosh
- BR jdk and EA only if without jikes

Revision 1.6  2006/05/21 16:18:52  glen
- drop unneccessary unset JAVA_HOME

Revision 1.5  2006/05/21 15:56:11  jajcus
- Version: 1.3.2
- use jpackage and current jdk location
- jdk is needed even when building with jikes

Revision 1.4  2005/10/30 17:10:39  adamg
- set JAVA_HOME (configure fails without this)

Revision 1.3  2005/08/14 11:32:24  glen
- I see no arch specific files here. noarch the package

Revision 1.2  2005/05/08 16:02:01  qboosh
- fix javadir in jaclsh

Revision 1.1  2005/05/07 19:05:20  qboosh
- new
